Imagick::setImageBorderColor
Imagick::setImageClipMask
The Imagick class
PHP Manual

# Imagick::setImageChannelDepth

(PECL imagick 2.0.0)

Imagick::setImageChannelDepth — Sets the depth of a particular image channel

### Description

bool Imagick::setImageChannelDepth ( int `$channel` , int `$depth` )
Warning

This function is currently not documented; only its argument list is available.

Sets the depth of a particular image channel.

### Parameters

`channel`

`depth`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setImageBorderColor
Imagick::setImageClipMask
The Imagick class
PHP Manual